org.apache.tinkerpop.gremlin.structure.io.graphson

## Class GraphSONIo

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.graphson.GraphSONIo

- All Implemented Interfaces:
    Io<GraphSONReader.Builder,GraphSONWriter.Builder,GraphSONMapper.Builder>

      public final class GraphSONIo
      extends Object
      implements Io<GraphSONReader.Builder,GraphSONWriter.Builder,GraphSONMapper.Builder>

  Constructs GraphSON IO implementations given a `Graph` and `IoRegistry`. Implementers of the `Graph` interfaces should see the `GraphSONMapper` for information on the expectations for the `IoRegistry`.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GraphSONIo.Builder`

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.structure.io.Io

      `Io.Exceptions`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Io.Builder<GraphSONIo>` | `build()` Create a new builder using the default version of GraphSON - v3.
    `static Io.Builder<GraphSONIo>` | `build(GraphSONVersion version)` Create a new builder using the specified version of GraphSON.
    `GraphSONMapper.Builder` | `mapper()` Constructs a `Mapper.Builder` which is responsible for constructing the abstraction over different serialization methods.
    `GraphSONReader.Builder` | `reader()` Creates a `GraphReader.ReaderBuilder` implementation .
    `void` | `readGraph(String file)` Read a `Graph` from file using the default configuration of the `Io.reader()` and its supplied `Io.mapper()`.
    `void` | `writeGraph(String file)` Write a `Graph` to file using the default configuration of the `Io.writer()` and its supplied `Io.mapper()`.
    `GraphSONWriter.Builder` | `writer()` Creates a `GraphWriter.WriterBuilder` implementation .

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### reader

          public GraphSONReader.Builder reader()

      Creates a `GraphReader.ReaderBuilder` implementation . Implementers should call the `Io.mapper()` function to feed its result to the builder. In this way, custom class serializers registered to the `Mapper.Builder` by `Graph` implementations will end up being used for the serialization process.
      Specified by:
        `reader` in interface `Io<GraphSONReader.Builder,GraphSONWriter.Builder,GraphSONMapper.Builder>`

    - #### writer

          public GraphSONWriter.Builder writer()

      Creates a `GraphWriter.WriterBuilder` implementation . Implementers should call the `Io.mapper()` function to feed its result to the builder. In this way, custom class serializers registered to the `Mapper.Builder` by `Graph` implementations will end up being used for the serialization process.
      Specified by:
        `writer` in interface `Io<GraphSONReader.Builder,GraphSONWriter.Builder,GraphSONMapper.Builder>`

    - #### mapper

          public GraphSONMapper.Builder mapper()

      Constructs a `Mapper.Builder` which is responsible for constructing the abstraction over different serialization methods. Implementations should set defaults as required, but most importantly need to make the appropriate call to `Mapper.Builder.addRegistry(IoRegistry)` which will provide the builder with any required custom serializers of the `Graph`.
      Specified by:
        `mapper` in interface `Io<GraphSONReader.Builder,GraphSONWriter.Builder,GraphSONMapper.Builder>`

    - #### writeGraph

          public void writeGraph(String file)
                          throws IOException

      Write a `Graph` to file using the default configuration of the `Io.writer()` and its supplied `Io.mapper()`.
      Specified by:
        `writeGraph` in interface `Io<GraphSONReader.Builder,GraphSONWriter.Builder,GraphSONMapper.Builder>`
      Throws:
        `IOException`

    - #### readGraph

          public void readGraph(String file)
                         throws IOException

      Read a `Graph` from file using the default configuration of the `Io.reader()` and its supplied `Io.mapper()`.
      Specified by:
        `readGraph` in interface `Io<GraphSONReader.Builder,GraphSONWriter.Builder,GraphSONMapper.Builder>`
      Throws:
        `IOException`

    - #### build

          public static Io.Builder<GraphSONIo> build()

      Create a new builder using the default version of GraphSON - v3.

    - #### build

          public static Io.Builder<GraphSONIo> build(GraphSONVersion version)

      Create a new builder using the specified version of GraphSON.

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.